import java.io.*;

public class Film implements Comparable
{
	String titolo;
	String anno;
	String casa;
	//Sono campi opzionali
	String regista=null;
	String premi=null;
	
	public Film()
	{
	titolo="ignoto";
	anno="ignoto";
	casa="ignoto";
	regista="ignoto";
	premi="ignoto";
	}
	
	
	public Film(BufferedReader br ) throws IOException
	{

		titolo = br.readLine();
		anno = br.readLine();
		casa = br.readLine();
		try
		{
			int a=Integer.parseInt(anno);
		}
		catch (NumberFormatException nfe)
		{
			System.out.println("Formato anno non valido");
			System.exit(0);
		}
		
	}

	public String toString()
	{
		return new String("Titolo: " + titolo + "; Anno: " + anno + "; Casa: " + casa + "; Regista: " + regista  +" Premi : " + premi + "\n");
	}

	public int hashCode()
	{
		return titolo.hashCode();
	}

	public boolean equals(Object o)
	{
		Film og = (Film)o;
		return titolo.equals(og.titolo);
	}

	public int compareTo(Object o)
	{
		Film f=null;
		try
		{
			f = (Film)o;  		
		}
		catch (ClassCastException cce)
		{
			System.out.println("Forse non era un film....");
		}
		return f.titolo.compareTo(titolo);	
	}


}